Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.util
Interface ScrollableModel

All Known Implementing Classes:
  DefaultScrollableModel

public interface ScrollableModel
extends java.io.Serializable

This file contains an interface for any scrollable model It helps manage large returned value by returning only a set of cached value objects (if used properly), reducing the traffic and the memory usage with this simple interface.

Method Summary
`int` | `getCount()` gets the total number of elements managed by the Scrollable Model.
`java.lang.Class` | `getModelClass()` All objects managed by the scrollable model are of the same class.
`int` | `getNbPages()` Gets the total number of pages over the scrollable model
`java.lang.Object[]` | `getPage(int pageIndex)` Gets a page worth of Objects, given a page index.
`int` | `getPageSize()` gets the page size for an instance of a scrollable model i.e.
`java.lang.Object` | `getValueAt(int valueIndex)` Gets the value (hopefully a value object) based on the index the value
`void` | `setValueAt(java.io.Serializable value, int valueIndex)` Sets the value of an element based on its index in the list of values managed by the scrollable model.

Method Detail

### getCount

    public int getCount()

  gets the total number of elements managed by the Scrollable Model.

  Returns:
    the count of all elements.

### getValueAt

    public java.lang.Object getValueAt(int valueIndex)

  Gets the value (hopefully a value object) based on the index the value

  Parameters:
    `valueIndex,` - the index for the value to retrieve
  Returns:
    the corresponding value as an Object

### getModelClass

    public java.lang.Class getModelClass()

  All objects managed by the scrollable model are of the same class. This method retrieves that class

  Returns:
    the Class of all objects managed by the scrollable model.

### getNbPages

    public int getNbPages()

  Gets the total number of pages over the scrollable model

  Returns:
    the number of pages

### getPageSize

    public int getPageSize()

  gets the page size for an instance of a scrollable model i.e. '10' means 10 value objects are kept in one page.

  Returns:
    the size of all pages

### setValueAt

    public void setValueAt(java.io.Serializable value,
                           int valueIndex)

  Sets the value of an element based on its index in the list of values managed by the scrollable model.

  Parameters:
    `value,` - the 'value object' at a location in the list
    `valueIndex,` - the location of the value object in the list

### getPage

    public java.lang.Object[] getPage(int pageIndex)

  Gets a page worth of Objects, given a page index.

  Parameters:
    `pageIndex,` - the index in the list of pages
  Returns:
    an array of objects for that page.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved